using System;
using System.Collections.Generic;
using System.Text;

using System.Collections;
using System.ComponentModel.Design;
using System.Web.UI.Design.WebControls;

namespace Dauphine.Web.UI.SmartControls.Design
{
    class SmartTextBoxDesigner : PreviewControlDesigner
    {
        public override DesignerActionListCollection ActionLists
        {
            get
            {
                DesignerActionListCollection designerActionListCollection = null;

                designerActionListCollection = base.ActionLists;

                designerActionListCollection.Add(new FieldControlActionList(this.Component));

                return designerActionListCollection;
            }
        }

        protected override void PreFilterProperties(IDictionary dicProperties)
        {
            base.PreFilterProperties(dicProperties);

            dicProperties.Remove("LoadOnly");
            dicProperties.Remove("CurrentValue");
        }
    }
}
