using System;
using System.Collections.Generic;
using System.Text;

using System.Collections;
using System.ComponentModel;
using System.Web.UI.Design;

namespace Dauphine.Web.UI.SmartControls.Design
{
    class WorkflowContextManagerDesigner : ControlDesigner
    {
        public WorkflowContextManagerDesigner()
        {

        }

        public override string GetDesignTimeHtml()
        {
            return base.CreatePlaceHolderDesignTimeHtml();
        }

        protected override void PreFilterProperties(IDictionary dicProperties)
        {
            base.PreFilterProperties(dicProperties);
            
            // Accessibility
            dicProperties.Remove("AccessKey"); 
            dicProperties.Remove("TabIndex");

            // Appearance
            dicProperties.Remove("BackColor"); 
            dicProperties.Remove("BorderColor"); 
            dicProperties.Remove("BorderStyle"); 
            dicProperties.Remove("BorderWidth"); 
            dicProperties.Remove("CssClass"); 
            dicProperties.Remove("Font");
            dicProperties.Remove("ForeColor");

            // Behavior
            dicProperties.Remove("Enabled"); 
            dicProperties.Remove("EnableTheming"); 
            dicProperties.Remove("SkinID"); 
            dicProperties.Remove("ToolTip"); 
            dicProperties.Remove("Visible");
            
            // Layout
            dicProperties.Remove("Height");
            dicProperties.Remove("Width");
        }
    }
}
