using System;
using System.Collections.Generic;
using System.Text;

using System.ComponentModel;

namespace Dauphine.Web.UI.SmartControls.Design
{
    internal class SmartCategoryAttribute : CategoryAttribute
    {
        internal SmartCategoryAttribute(string strCategory) : base(strCategory)
        {

        }

        protected override string GetLocalizedString(string strValue)
        {
            return Resources.ResourceManager.GetString(strValue);
        }

        public override object TypeId
        {
            get
            {
                return typeof(CategoryAttribute);
            }
        }
    }
}
