using System;
using System.Collections.Generic;
using System.Text;

using System.ComponentModel;
using System.ComponentModel.Design;

namespace Dauphine.Web.UI.SmartControls.Design
{
    abstract class ActionList : DesignerActionList
    {
        private PropertyManager _propertyManager = null;

        public ActionList(IComponent component) : base(component)
        {
            _propertyManager = new PropertyManager(component);
        }

        protected bool IsComponentPropertyReadOnly(string strPropertyName)
        {
            return _propertyManager.IsPropertyReadOnly(strPropertyName);
        }

        protected void SetComponentPropertyValue(string strPropertyName, object oValue)
        {
            _propertyManager.SetPropertyValue(strPropertyName, oValue);
        }

        protected object GetComponentPropertyValue(string strPropertyName)
        {
            return _propertyManager.GetPropertyValue(strPropertyName);
        }

        protected void ResetComponentPropertyValue(string strPropertyName)
        {
            _propertyManager.ResetPropertyValue(strPropertyName);
        }
    }
}
