using System;
using System.Collections.Generic;
using System.Text;

using System.ComponentModel;
using System.ComponentModel.Design;
using System.Web.UI;

namespace Dauphine.Web.UI.SmartControls.Design
{
    class ActionsListControlDesignerActionList : ActionList
    {
        [IDReferenceProperty(typeof(ClientContextManager))]
        [TypeConverter(typeof(ClientContextManagerConverter))]
        public string ClientContextManagerID
        {
            get
            {
                return this.GetComponentPropertyValue("ClientContextManagerID") + string.Empty;
            }

            set
            {
                this.SetComponentPropertyValue("ClientContextManagerID", value);
            }
        }

        public ActionsListControlDesignerActionList(IComponent component) : base(component)
        {

        }

        public override DesignerActionItemCollection GetSortedActionItems()
        {
            DesignerActionItemCollection designerActionItemCollection = new DesignerActionItemCollection();

            designerActionItemCollection.Add(new DesignerActionPropertyItem("ClientContextManagerID", Resources.SmartTag_Control_ClientContextManagerID_DisplayName, Resources.SmartTag_Control_ClientContextManagerID_Category, Resources.SmartTag_Control_ClientContextManagerID_Description));

            return designerActionItemCollection;
        }
    }
}
