using System;
using System.Collections.Generic;
using System.Text;

using System.Windows.Forms;

namespace Dauphine.Web.UI.SmartControls.Design
{
    class TreeNode : System.Windows.Forms.TreeNode
    {
        public TreeNode(string strText, string strToolTopText, object oTag)
        {
            Type type = null;

            this.Text = strText;
            this.ToolTipText = strToolTopText;
            this.Tag = oTag;

            type = oTag.GetType();

            this.ImageKey = this.SelectedImageKey = type.Name;
        }
    }
}
