using System;
using System.Collections.Generic;
using System.Text;

namespace Dauphine.Web.UI.SmartControls
{
    public enum FieldScope
    {
        Process, Activity
    }

    public enum FieldType
    {
        DataField, XmlField
    }

    public interface IField
    {
        string WorkflowContextManagerID
        {
            get;
            set;
        }

        string Field
        {
            get;
            set;
        }

        FieldScope Scope
        {
            get;
        }

        FieldType Type
        {
            get;
        }

        bool PopulateOnLoad
        {
            get;
        }

        bool LoadOnly
        {
            get;
        }

        string CurrentValue
        {
            get;
        }
    }
}
